Subject: bug#42149: Substring and flex completion ignore implicit trailing ‘any’

From: Stefan Monnier <[email-masked]>
Date: Wed, 09 Sep 2020 09:13:29 -0400

> Unfortunately, I found some bugs in the patch I shared above.  While it
> works well for substring and flex completion (with the minor caveat of
> ignoring the point’s position which I will take care of), it breaks
> under vanilla PCM completion.  I will try to fix it.

BTW, this code sorely needs tests, so when you find a bug (either in
the original code or in changes you introduced temporarily), if you
could add corresponding tests, that would be a great help.

        Stefan "yes, the very one to blame for the lack of those tests"